nxt.addons

## Class ForgingEncryptedConfig

- java.lang.Object
- - nxt.addons.AbstractEncryptedConfig
  - - nxt.addons.ForgingEncryptedConfig

- All Implemented Interfaces:
    AddOn

      public class ForgingEncryptedConfig
      extends AbstractEncryptedConfig

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONFIG_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForgingEncryptedConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getAPIRequestName()`
    `protected APITag` | `getAPITag()`
    `protected java.lang.String` | `getDataParameter()`
    `protected java.lang.String` | `getDefaultFilename()`
    `protected java.util.List<java.lang.String>` | `getExtraParameters()`
    `protected java.lang.String` | `getSaveData(javax.servlet.http.HttpServletRequest request)`
    `protected org.json.simple.JSONStreamAware` | `processDecrypted(java.io.BufferedReader reader)`

    - ### Methods inherited from class nxt.addons.AbstractEncryptedConfig

      `getAPIRequests, getDefaultPath, init, resolvePath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.addons.AddOn

      `getAPIRequestHandler, getAPIRequestType, shutdown`

- - ### Field Detail

    - #### CONFIG_FILE_NAME

          public static final java.lang.String CONFIG_FILE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ForgingEncryptedConfig

          public ForgingEncryptedConfig()

  - ### Method Detail

    - #### getAPIRequestName

          protected java.lang.String getAPIRequestName()

      Specified by:
        `getAPIRequestName` in class `AbstractEncryptedConfig`

    - #### getAPITag

          protected APITag getAPITag()

      Specified by:
        `getAPITag` in class `AbstractEncryptedConfig`

    - #### getDataParameter

          protected java.lang.String getDataParameter()

      Specified by:
        `getDataParameter` in class `AbstractEncryptedConfig`

    - #### processDecrypted

          protected org.json.simple.JSONStreamAware processDecrypted(java.io.BufferedReader reader)
                                                              throws java.io.IOException

      Specified by:
        `processDecrypted` in class `AbstractEncryptedConfig`
      Throws:
        `java.io.IOException`

    - #### getExtraParameters

          protected java.util.List<java.lang.String> getExtraParameters()

      Overrides:
        `getExtraParameters` in class `AbstractEncryptedConfig`

    - #### getSaveData

          protected java.lang.String getSaveData(javax.servlet.http.HttpServletRequest request)
                                          throws ParameterException

      Overrides:
        `getSaveData` in class `AbstractEncryptedConfig`
      Throws:
        `ParameterException`

    - #### getDefaultFilename

          protected java.lang.String getDefaultFilename()

      Overrides:
        `getDefaultFilename` in class `AbstractEncryptedConfig`